package com.ruoyi.business.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.TCusCustomerMapper;
import com.ruoyi.business.domain.TCusCustomer;
import com.ruoyi.business.service.ITCusCustomerService;
import com.ruoyi.common.core.text.Convert;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author wms
 * @date 2022-06-12
 */
@Service
public class TCusCustomerServiceImpl extends ServiceImpl<TCusCustomerMapper, TCusCustomer> implements ITCusCustomerService
{
    @Autowired
    private TCusCustomerMapper tCusCustomerMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param customerId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TCusCustomer selectTCusCustomerByCustomerId(String customerId)
    {
        return tCusCustomerMapper.selectTCusCustomerByCustomerId(customerId);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tCusCustomer 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TCusCustomer> selectTCusCustomerList(TCusCustomer tCusCustomer)
    {
        return tCusCustomerMapper.selectTCusCustomerList(tCusCustomer);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param tCusCustomer 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTCusCustomer(TCusCustomer tCusCustomer)
    {
        return tCusCustomerMapper.insertTCusCustomer(tCusCustomer);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param tCusCustomer 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTCusCustomer(TCusCustomer tCusCustomer)
    {
        return tCusCustomerMapper.updateTCusCustomer(tCusCustomer);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param customerIds 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTCusCustomerByCustomerIds(String customerIds)
    {
        return tCusCustomerMapper.deleteTCusCustomerByCustomerIds(Convert.toStrArray(customerIds));
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param customerId 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTCusCustomerByCustomerId(String customerId)
    {
        return tCusCustomerMapper.deleteTCusCustomerByCustomerId(customerId);
    }
}
